Kepler - Bug #2961

Include option in EMLDatasource actor to use 'most recent’ data
09/11/2007 05:35 PM - ben leinfelder

Status: Resolved Start date: 09/11/2007
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: data access Estimated time: 0.00 hour
Target version: SanParksRelease Spent time: 0.00 hour
Bugzilla-ld: 2961

Description

Change EMLDatasource actor to allow user to specify 'most recent version' of package data be used.
On workflow open?/execution?, actor will check the [remote] source for latest version of the data, fetch it and use that for the run.
Will need to be careful of schema/structure changes to the data tables.

History

#1 - 09/24/2007 10:29 AM - ben leinfelder

Added check to EML200Datasource actor.

Uses RepositoryManager to make webservice call to earthgrid.

Still need to refactor the services to use the object manager method of managing eco/earthgrid services. essentially need to have the search and
selectable stuff in the classes that extend Repository.

#2 - 12/27/2007 09:02 AM - ben leinfelder

with the changes to how ecogrid can be searched using authentication credentials, i've also changed how the eml actor checks for the latest version.
Services can now be related to each other by sharing the same "clusterName" - given a queryservice, we can find the appropriate identifierservice to
use for looking up the latest version of the metadata/data.

#3 - 02/07/2008 02:35 PM - ben leinfelder
this change has been included in RC1

#4 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2961
